# -*- coding: utf-8 -*-
"""
Rattail Demo config extension
"""

from __future__ import unicode_literals, absolute_import

from rattail.config import ConfigExtension


class DemoConfigExtension(ConfigExtension):
    """
    Rattail Demo config extension
    """
    key = 'rattail-demo'

    def configure(self, config):

        # tell rattail where our stuff lives
        config.setdefault('rattail.mail', 'emails', 'rattail_demo.emails')
